| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # MemoryManager Class Reference Configurable memory manager. More... List of all members.
## Public Member Functions
Destructor
virtual | ~MemoryManager ()
| Default destructor.
The pure virtual methods in this interface.
virtual void * | allocate (size_t size)=0
| This method allocates requested memory.
virtual void | deallocate (void *p)=0
| This method deallocates memory.
## Protected Member Functions
Constructor
| MemoryManager ()
| Protected default constructor.
## Detailed Description Configurable memory manager. This interface allows outside applications to plug in their own memory manager to be used by Xerces for memory allocation/deallocation. ## Constructor & Destructor Documentation
virtual MemoryManager::~MemoryManager | ( |  | ) | `[virtual]`
Default destructor.
MemoryManager::MemoryManager | ( |  | ) | `[protected]`
Protected default constructor. ## Member Function Documentation
virtual void* MemoryManager::allocate | ( | size_t | size | ) | `[pure virtual]`
  This method allocates requested memory. Parameters:
  | size | The requested memory size
Returns: A pointer to the allocated memory
virtual void MemoryManager::deallocate | ( | void * | p | ) | `[pure virtual]`
  This method deallocates memory. Parameters:
  | p | The pointer to the allocated memory to be deleted
The documentation for this class was generated from the following file: MemoryManager.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.